Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1111150 - No quota-id option in add disk auto-completion
Summary: No quota-id option in add disk auto-completion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-sdk
Version: 3.4.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Juan Hernández
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-06-19 11:24 UTC by Artyom
Modified: 2016-02-10 19:22 UTC (History)
11 users (show)

Fixed In Version: vt1.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:37:06 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29405 master MERGED restapi: rsdl_metadata - quota.id in add disk Never

Description Artyom 2014-06-19 11:24:43 UTC
Description of problem:
No quota-id option in add disk auto-completion

Version-Release number of selected component (if applicable):
av9.6

How reproducible:
Always

Steps to Reproduce:
1. run rhevm-shell
2. run command: add disk
3. press TAB

Actual results:
No quota-id in auto-complete options

Expected results:
quota-id must be appear in add disk auto-completion options

Additional info:

Comment 1 Juan Hernández 2014-06-20 09:02:14 UTC
The quota.id isn't included in the rsdl_metadata.yaml file. That, at least, needs to be fixed. Once that is done the Python SDK will need to be regenerated. No change required in the CLI.

Comment 2 Juan Hernández 2014-06-30 11:52:05 UTC
This has now been fixed in the engine, now the SDK needs to be regenerated.

Comment 3 Petr Beňas 2014-08-06 08:08:36 UTC
Verified in ovirt-engine-cli-3.5.0.2-1.20140710.git52d7a57.el6.noarch.


Note You need to log in before you can comment on or make changes to this bug.